Bug 199133 - vesa(4) displays previous session briefly
Summary: vesa(4) displays previous session briefly
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86-Servers (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 205361
TreeView+ depends on / blocked
 
Reported: 2006-07-17 14:12 UTC by Sandeep K. Shandilya
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 17:28:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sandeep K. Shandilya 2006-07-17 14:12:46 UTC
Description of problem:

Starting X with low resolutions with the VESA driver causes the previous video
buffer to displayed momentarily. This could be a security issue. The user can
see what was on the previous X session.


Version-Release number of selected component (if applicable):
RHEL 3 update 6 i386

How reproducible:
always.

Steps to Reproduce:
1.modify xorg.conf to use the VESA driver.
2.startx and run a few client apps
3.quit X windows
4.start X again
  
Actual results:
The screen displays content from the previous session.

Expected results:
The screen needs to be blank till GUI comes up.

Additional info:
This behaviour is not seen when the manufacturers driver is used.

Comment 1 Issue Tracker 2006-09-07 23:04:33 UTC
Need to clear X video buffers to prevent the retention of previous screen
session when starting new X session. Dell bug#199133 linked to IT.


Issue escalated to Support Engineering Group by: sbenjamin.
sbenjamin assigned to issue for Dell-Engineering.
Bugzilla id 199133 added to issue.
Category set to: X Windows
Internal Status set to 'Waiting on SEG'
Status set to: Waiting on Tech

This event sent from IssueTracker by sbenjamin 
 issue 100938

Comment 3 Charles Rose 2006-11-21 12:50:12 UTC
Any update on this one?

Comment 5 John Feeney 2007-07-12 17:28:47 UTC
With RHEL3 now in maintenance mode, where only critical customer issues
can be fixed, this bugzilla has been closed as wont fix due to its severity
level and a lack of recent activity. 


Note You need to log in before you can comment on or make changes to this bug.